### A free/open-source library for quantitative finance

Classes
ql/pricingengines/vanilla/fdeuropeanengine.hpp File Reference

Finite-difference European engine. More...

`#include <ql/instruments/oneassetoption.hpp>`
`#include <ql/pricingengines/vanilla/fdvanillaengine.hpp>`
`#include <ql/pricingengines/greeks.hpp>`
`#include <ql/methods/finitedifferences/cranknicolson.hpp>`
`#include <ql/math/sampledcurve.hpp>`
Include dependency graph for fdeuropeanengine.hpp:

## Classes

class | FDEuropeanEngine< Scheme >
| Pricing engine for European options using finite-differences. More...

## Detailed Description

Finite-difference European engine.